Package org.apache.sysds.hops.codegen.template

# Class CPlanMemoTable.MemoTableEntrySet

java.lang.Object
org.apache.sysds.hops.codegen.template.CPlanMemoTable.MemoTableEntrySet

Enclosing class:
  CPlanMemoTable

public static class CPlanMemoTable.MemoTableEntrySet extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`ArrayList<CPlanMemoTable.MemoTableEntry>`
`plans`

## Constructor Summary

Constructors
Constructor
Description
`MemoTableEntrySet(Hop hop, Hop c, TemplateBase tpl)`

## Method Summary

Modifier and Type
Method
Description
`void`
`crossProduct(int pos, Long... refs)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### plans

public ArrayList<CPlanMemoTable.MemoTableEntry> plans

## Constructor Details

### MemoTableEntrySet

public MemoTableEntrySet(Hop hop, Hop c, TemplateBase tpl)

## Method Details

### crossProduct

public void crossProduct(int pos, Long... refs)

### toString

public String toString()

Overrides:
  `toString` in class `Object`